# Uses of Class
org.opensaml.security.httpclient.HttpClientSecurityParameters

Packages that use HttpClientSecurityParameters
Package
Description
org.opensaml.core.metrics.impl
Implementation classes supporting code instrumentation.
org.opensaml.saml.metadata.resolver.impl
Classes for retrieving, filtering, and querying metadata.
org.opensaml.security.httpclient
Security API support for Apache HttpClient.
org.opensaml.security.httpclient.impl
Security implementation support for Apache HttpClient.
org.opensaml.security.messaging
Messaging-related security classes.
org.opensaml.security.messaging.impl
Message handler implementations.
org.opensaml.soap.client.http
SOAP HTTP client functionality.
org.opensaml.spring.httpclient
Factory beans for various classes related to use of HttpClient.
org.opensaml.spring.tls
Spring support for TLS configuration.

## Uses of HttpClientSecurityParameters in org.opensaml.core.metrics.impl

Fields in org.opensaml.core.metrics.impl declared as HttpClientSecurityParameters
Modifier and Type
Field
Description
`private HttpClientSecurityParameters`
HTTPReporter.`httpClientSecurityParameters`
HTTP client security parameters.
Methods in org.opensaml.core.metrics.impl with parameters of type HttpClientSecurityParameters
Modifier and Type
Method
Description
`void`
HTTPReporter.`setHttpClientSecurityParameters(HttpClientSecurityParameters params)`
Set the optional client security parameters.

## Uses of HttpClientSecurityParameters in org.opensaml.saml.metadata.resolver.impl

Fields in org.opensaml.saml.metadata.resolver.impl declared as HttpClientSecurityParameters
Modifier and Type
Field
Description
`private HttpClientSecurityParameters`
AbstractDynamicHTTPMetadataResolver.`httpClientSecurityParameters`
Optional HttpClient security parameters.
`private HttpClientSecurityParameters`
HTTPMetadataResolver.`httpClientSecurityParameters`
Optional HttpClient security parameters.
Methods in org.opensaml.saml.metadata.resolver.impl that return HttpClientSecurityParameters
Modifier and Type
Method
Description
`protected HttpClientSecurityParameters`
AbstractDynamicHTTPMetadataResolver.`getHttpClientSecurityParameters()`
Get the instance of `HttpClientSecurityParameters` which provides various parameters to influence the security behavior of the HttpClient instance.
`protected HttpClientSecurityParameters`
HTTPMetadataResolver.`getHttpClientSecurityParameters()`
Get the instance of `HttpClientSecurityParameters` which provides various parameters to influence the security behavior of the HttpClient instance.
Methods in org.opensaml.saml.metadata.resolver.impl with parameters of type HttpClientSecurityParameters
Modifier and Type
Method
Description
`void`
AbstractDynamicHTTPMetadataResolver.`setHttpClientSecurityParameters(HttpClientSecurityParameters params)`
Set an instance of `HttpClientSecurityParameters` which provides various parameters to influence the security behavior of the HttpClient instance.
`void`
HTTPMetadataResolver.`setHttpClientSecurityParameters(HttpClientSecurityParameters params)`
Set an instance of `HttpClientSecurityParameters` which provides various parameters to influence the security behavior of the HttpClient instance.

## Uses of HttpClientSecurityParameters in org.opensaml.security.httpclient

Fields in org.opensaml.security.httpclient declared as HttpClientSecurityParameters
Modifier and Type
Field
Description
`private HttpClientSecurityParameters`
HttpClientSecurityContextHandler.`httpClientSecurityParameters`
HTTP client security parameters.
Methods in org.opensaml.security.httpclient that return HttpClientSecurityParameters
Modifier and Type
Method
Description
`HttpClientSecurityParameters`
HttpClientSecurityContextHandler.`getHttpClientSecurityParameters()`
Get the optional client security parameters.
`HttpClientSecurityParameters`
HttpClientSecurityParameters.`setAuthCache(org.apache.hc.client5.http.auth.AuthCache cache)`
Deprecated.
use `setPreemptiveBasicAuthMap(Map)`
`HttpClientSecurityParameters`
HttpClientSecurityParameters.`setBasicCredentialsWithScope(org.apache.hc.client5.http.auth.UsernamePasswordCredentials credentials, org.apache.hc.client5.http.auth.AuthScope scope)`
Deprecated.
use `setPreemptiveBasicAuthMap(Map)` or `setCredentialsProvider(CredentialsProvider)`
`HttpClientSecurityParameters`
HttpClientSecurityParameters.`setClientTLSCredential(X509Credential credential)`
Set the optional client TLS credential.
`HttpClientSecurityParameters`
HttpClientSecurityParameters.`setCredentialsProvider(org.apache.hc.client5.http.auth.CredentialsProvider provider)`
Set an instance of `CredentialsProvider` used for authentication by the HttpClient instance.
`HttpClientSecurityParameters`
HttpClientSecurityParameters.`setHostnameVerifier(HostnameVerifier verifier)`
Set the optional hostname verifier.
`HttpClientSecurityParameters`
HttpClientSecurityParameters.`setPreemptiveBasicAuthMap(Map<org.apache.hc.core5.http.HttpHost,org.apache.hc.client5.http.auth.UsernamePasswordCredentials> map)`
Install a map of rules for preemptive basic authentication using the supplied hosts and credentials.
`HttpClientSecurityParameters`
HttpClientSecurityParameters.`setServerTLSFailureFatal(Boolean flag)`
Set the flag indicating whether failure of server TLS trust engine evaluation should be treated as a fatal error.
`HttpClientSecurityParameters`
HttpClientSecurityParameters.`setTLSCipherSuites(Collection<String> cipherSuites)`
Set the optional list of TLS cipher suites.
`HttpClientSecurityParameters`
HttpClientSecurityParameters.`setTLSCriteriaSet(CriteriaSet criteriaSet)`
Set the optional criteria set used in evaluating server TLS credentials.
`HttpClientSecurityParameters`
HttpClientSecurityParameters.`setTLSProtocols(Collection<String> protocols)`
Set the optional list of TLS protocols.
`HttpClientSecurityParameters`
HttpClientSecurityParameters.`setTLSTrustEngine(TrustEngine<? super X509Credential> engine)`
Sets the optional trust engine used in evaluating server TLS credentials.
Methods in org.opensaml.security.httpclient with parameters of type HttpClientSecurityParameters
Modifier and Type
Method
Description
`static org.apache.hc.client5.http.protocol.HttpClientContext`
HttpClientSecuritySupport.`buildHttpClientContext(HttpClientSecurityParameters securityParameters)`
Builds a new `HttpClientContext` and marshals the supplied `HttpClientSecurityParameters` into it.
`static void`
HttpClientSecuritySupport.`marshalSecurityParameters(org.apache.hc.client5.http.protocol.HttpClientContext context, HttpClientSecurityParameters securityParameters)`
Marshal the supplied `HttpClientSecurityParameters` to the supplied `HttpClientContext`.
`static void`
HttpClientSecuritySupport.`marshalSecurityParameters(org.apache.hc.client5.http.protocol.HttpClientContext context, HttpClientSecurityParameters securityParameters, boolean replace)`
Marshal the supplied `HttpClientSecurityParameters` to the supplied `HttpClientContext`.
`void`
HttpClientSecurityContextHandler.`setHttpClientSecurityParameters(HttpClientSecurityParameters params)`
Set the optional client security parameters.

## Uses of HttpClientSecurityParameters in org.opensaml.security.httpclient.impl

Methods in org.opensaml.security.httpclient.impl that return HttpClientSecurityParameters
Modifier and Type
Method
Description
`HttpClientSecurityParameters`
BasicHttpClientSecurityParametersResolver.`resolveSingle(CriteriaSet criteria)`
Methods in org.opensaml.security.httpclient.impl that return types with arguments of type HttpClientSecurityParameters
Modifier and Type
Method
Description
`Iterable<HttpClientSecurityParameters>`
BasicHttpClientSecurityParametersResolver.`resolve(CriteriaSet criteria)`
Methods in org.opensaml.security.httpclient.impl with parameters of type HttpClientSecurityParameters
Modifier and Type
Method
Description
`protected void`
BasicHttpClientSecurityParametersResolver.`logResult(HttpClientSecurityParameters params)`
Log the resolved parameters.
`protected void`
BasicHttpClientSecurityParametersResolver.`resolveAndPopulateParams(HttpClientSecurityParameters params, CriteriaSet criteria)`
Resolve and populate all parameters.
`protected boolean`
BasicHttpClientSecurityParametersResolver.`validate(HttpClientSecurityParameters params)`
Validate that the `HttpClientSecurityParameters` instance has all the required properties populated.

## Uses of HttpClientSecurityParameters in org.opensaml.security.messaging

Fields in org.opensaml.security.messaging declared as HttpClientSecurityParameters
Modifier and Type
Field
Description
`private HttpClientSecurityParameters`
HttpClientSecurityContext.`securityParameters`
The HttpClient security parameters instance.
Methods in org.opensaml.security.messaging that return HttpClientSecurityParameters
Modifier and Type
Method
Description
`HttpClientSecurityParameters`
HttpClientSecurityContext.`getSecurityParameters()`
Get the `HttpClientSecurityParameters` instance.
Methods in org.opensaml.security.messaging with parameters of type HttpClientSecurityParameters
Modifier and Type
Method
Description
`HttpClientSecurityContext`
HttpClientSecurityContext.`setSecurityParameters(HttpClientSecurityParameters parameters)`
Set the `HttpClientSecurityParameters` instance.

## Uses of HttpClientSecurityParameters in org.opensaml.security.messaging.impl

Methods in org.opensaml.security.messaging.impl with parameters of type HttpClientSecurityParameters
Modifier and Type
Method
Description
`protected void`
PopulateHttpClientSecurityParametersHandler.`postProcessParams(MessageContext messageContext, HttpClientSecurityParameters params)`
Post-process the resolved parameters.

## Uses of HttpClientSecurityParameters in org.opensaml.soap.client.http

Fields in org.opensaml.soap.client.http declared as HttpClientSecurityParameters
Modifier and Type
Field
Description
`private HttpClientSecurityParameters`
AbstractPipelineHttpSOAPClient.`httpClientSecurityParameters`
HTTP client security parameters.
Methods in org.opensaml.soap.client.http that return HttpClientSecurityParameters
Modifier and Type
Method
Description
`HttpClientSecurityParameters`
AbstractPipelineHttpSOAPClient.`getHttpClientSecurityParameters()`
Get the optional client security parameters.
`protected HttpClientSecurityParameters`
AbstractPipelineHttpSOAPClient.`resolveContextSecurityParameters(InOutOperationContext operationContext)`
Resolve the `HttpClientSecurityParameters` instance present in the current operation context.
Methods in org.opensaml.soap.client.http with parameters of type HttpClientSecurityParameters
Modifier and Type
Method
Description
`void`
AbstractPipelineHttpSOAPClient.`setHttpClientSecurityParameters(HttpClientSecurityParameters params)`
Set the optional client security parameters.

## Uses of HttpClientSecurityParameters in org.opensaml.spring.httpclient

Fields in org.opensaml.spring.httpclient with type parameters of type HttpClientSecurityParameters
Modifier and Type
Field
Description
`private List<HttpClientSecurityParameters>`
HttpClientSecurityParametersMergingFactoryBean.`parameters`
The list of input parameters to merge.
Methods in org.opensaml.spring.httpclient that return HttpClientSecurityParameters
Modifier and Type
Method
Description
`HttpClientSecurityParameters`
HttpClientSecurityParametersMergingFactoryBean.`getObject()`
Methods in org.opensaml.spring.httpclient that return types with arguments of type HttpClientSecurityParameters
Modifier and Type
Method
Description
`List<HttpClientSecurityParameters>`
HttpClientSecurityParametersMergingFactoryBean.`getParameters()`
Get the list of input parameters to merge.
Method parameters in org.opensaml.spring.httpclient with type arguments of type HttpClientSecurityParameters
Modifier and Type
Method
Description
`void`
HttpClientSecurityParametersMergingFactoryBean.`setParameters(List<HttpClientSecurityParameters> input)`
Set the list of input parameters to merge.

## Uses of HttpClientSecurityParameters in org.opensaml.spring.tls

Fields in org.opensaml.spring.tls declared as HttpClientSecurityParameters
Modifier and Type
Field
Description
`private HttpClientSecurityParameters`
TLSSocketFactoryFactoryBean.`httpClientSecurityParameters`
The optional HttpClient security parameters instance that will be used with the HttpClient instance.
Methods in org.opensaml.spring.tls with parameters of type HttpClientSecurityParameters
Modifier and Type
Method
Description
`void`
TLSSocketFactoryFactoryBean.`setHttpClientSecurityParameters(HttpClientSecurityParameters params)`
Sets the optional HttpClient security parameters instance that will be used with the HttpClient instance.